
** PURPOSE: 	This do-file calculates the z-scores of different results of the Malawi program. 
/*
				TRUST IN INSTITUTIONS
								*/


**************************************************************
* PART 1 *

* Trust in governement institutions
* Include only courts, police, national government.
* (not coding with 0 firms that have closed)
* Hypothesis institutions trust (not coding with 0 firms that have closed)

global TG  t_courts  t_police t_govern 

foreach var of global TG {
sum `var' if treatment==4 & round_fup==0
local controlmean=r(mean)
local controlsd=r(sd)

gen z_`var'_BS= (`var' - `controlmean')/ `controlsd'
replace  z_`var'_BS= (`var' - `controlmean')/1 if z_`var'_BS==.  /* This is when controlsd is 0: vars that there are not in Baseline data for example has_BRC in Hyp A*/

compare z_`var'_BS `var'

forvalues r=1/4 {
sum F_`var' if treatment==4 & F_no_attrition==1 & round_fup==`r'
local controlmean=r(mean)
local controlsd=r(sd)

gen z_`var'_FU`r'= (F_`var' - `controlmean')/ `controlsd' if round_fup==`r'
replace z_`var'_FU`r'= (F_`var' - `controlmean')/1 if z_`var'_FU`r'==. & round_fup==`r' /* This is when controlsd is 0: vars that there are not in F1, F2 or F3 for example businesspractices in Hyp C4*/

}
}


# d;
gen z_trustgov= (z_t_courts_BS + z_t_police_BS + z_t_govern_BS )/3
;
#d cr

gen F_z_trustgov = z_trustgov if round_fup==0

forvalues r=1/4 {
# d;
replace F_z_trustgov = (z_t_courts_FU`r' + z_t_police_FU`r' + z_t_govern_FU`r')/3  if round_fup==`r'
;
#d cr
}

# d;
gen missBSz_trustgov= (missBSt_courts== 1 &  missBSt_police==1 & missBSt_govern==1)
;
#d cr
tab missBSz_trustgov, m






* Trust in dealing with private sector
* Include only in the City Council and in tax authorities
* (not coding with 0 firms that have closed)
* City Council and tax authorities don't appear in baseline

global TP  t_city_council t_tax_aut 

foreach var of global TP {
sum `var' if treatment==4 & round_fup==0
local controlmean=r(mean)
local controlsd=r(sd)

gen z_`var'_BS= (`var' - `controlmean')/ `controlsd'
replace  z_`var'_BS= (`var' - `controlmean')/1 if z_`var'_BS==.  /* This is when controlsd is 0: vars that there are not in Baseline data for example has_BRC in Hyp A*/

compare z_`var'_BS `var'

forvalues r=1/4 {
sum F_`var' if treatment==4 & F_no_attrition==1 & round_fup==`r'
local controlmean=r(mean)
local controlsd=r(sd)

gen z_`var'_FU`r'= (F_`var' - `controlmean')/ `controlsd' if round_fup==`r'
replace z_`var'_FU`r'= (F_`var' - `controlmean')/1 if z_`var'_FU`r'==. & round_fup==`r' /* This is when controlsd is 0: vars that there are not in F1, F2 or F3 for example businesspractices in Hyp C4*/

}
}


# d;
gen z_trustprivate= (z_t_city_council_BS + z_t_tax_aut_BS )/2
;
#d cr

gen F_z_trustprivate = z_trustprivate if round_fup==0

forvalues r=1/4 {
# d;
replace F_z_trustprivate = (z_t_city_council_FU`r' + z_t_tax_aut_FU`r')/2  if round_fup==`r'
;
#d cr
}

# d;
gen missBSz_trustprivate= (missBSt_city_council== 1 &  missBSt_tax_aut==1)
;
#d cr
tab missBSz_trustprivate, m


