* Prepare labels

		
clear
clear matrix
clear mata
set more off

*-- Directory
cap cd "C:\Users\Adriana\Dropbox\World Bank\Malawi\BRIE box"

* Paths
global baseline	"baseline survey\Data"
global follow_up	"follow up survey\Data"
global second_follow_up "Second Follow Up Survey\Data"
global third_follow_up	"Third Follow Up Survey\Data"
global fourth_follow_up "Endline Survey\Data"
global panel		"Panel\final panel data"

**************************************
* Baseline Labels
*-- Open baseline data
use "$baseline\Working Data\Baseline_Malawi_clean_September_2018_BS.dta"

desc

#d ;
keep id-strata 
has_BRC has_TPIN has_city_council usd_Profit_lastmonth usd_Profit_lastweek usd_Profit_lastmonth99 usd_Profit_lastweek99 
usd_Revenue_lastmonth usd_Revenue_lastweek usd_Revenue_lastmonth99  usd_Revenue_lastweek99 Revenue_lastmonth Revenue_lastweek 
Revenue_lastmonth99 Revenue_lastweek99 ihst_Revenue_lastmonth	 Profit_lastmonth Profit_lastweek Profit_lastmonth99 Profit_lastweek99 
ihst_Profit_lastmonth banksonly_bus_account export_license chamber tender changes_location loan_can_raise amount_recentloan insurance  
saved_amount saved_amount_bank mix_bus_hh financial_records  contact_bank taxescosts receipt t_courts  t_police t_govern t_city_council 
t_tax_aut banks_any_account banksonly_bus_account  account_used_only_business save_home rosca_sacco banks_saving inspected_municipality 
no_inspected_taxes no_inspected_other Asked_for_bribe confident_no_bribe threats_to_shutdown confiscation sexually_harassed other_harassment 
usd_capital  usd_assets usd_amount_recentloan usd_saved_amount usd_saved_amount99 usd_saved_amount_bank usd_debt_outst_include debt_outst_include
usd_loan_can_raise
missBShas_BRC missBShas_TPIN missBShas_city_council missBSRevenue_lastmonth missBSRevenue_lastweek missBSRevenue_lastmonth99 missBSRevenue_lastweek99	missBSProfit_lastmonth missBSProfit_lastweek missBSProfit_lastmonth99 missBSProfit_lastweek99 missBSbanksonly_bus_account missBSchamber missBSexport_license missBStender missBSchanges_location  missBSloan_can_raise missBSamount_recentloan  missBSinsurance  missBSmix_bus_hh missBSfinancial_records missBStaxescosts missBSreceipt missBSt_courts  missBSt_police missBSt_govern missBSt_city_council missBSt_tax_aut missBSbanks_any_account missBSbanksonly_bus_account  missBSaccount_used_only_bus missBSsave_home missBSrosca_sacco missBSbanks_saving missBSno_inspected_taxes missBSno_inspected_other missBSAsked_for_bribe missBSconfident_no_bribe missBSthreats_to_shutdown  missBSconfiscation missBSsexually_harassed missBSother_harassment missBScapital missBSusd_saved_amount missBSrosca_sacco missBSsave_home missBSsaved_amount_bank  missBSinspected_municipalit missBSno_inspected_taxes  missBSno_inspected_other missBSAsked_for_bribe missBSconfident_no_bribe missBSthreats_to_shutdown missBSconfiscation missBSsexually_harassed missBSother_harassment capital Financial_k~e any_account saved_amount99 borrowed_in~t assets num_customers advert  other_activ~y 					
missBSihst_Revenue_lastmonth missBSihst_Profit_lastmonth missBSusd_loan_can_raise missBScontact_bank missBSpropmaleworkers
	/* Baseline outcomes */
	 high_capture large_size Total_workers2 Business_owner 
	 Financial_knowledge  
	 Revenue_lastmonth Revenue_lastweek 
	 Revenue_lastmonth99  Revenue_lastweek99 ihst_Revenue_lastmonth 
	 Profit_lastmonth 
	 Profit_lastweek Profit_lastmonth99  Profit_lastweek99 
	 ihst_Profit_lastmonth	number_days_workmonth  capital assets propmaleworkers  
	 borrowed_in_past  amount_recentloan  any_account banks_any_account banksonly_bus_account 
	 account_used_only_business save_home  rosca_sacco banks_saving saved_amount  
	 saved_amount99 saved_amount_bank mix_bus_hh bank_loan    
	  benefits_reg inspected_municipality 
	 Asked_for_bribe threats_to_shutdown confiscation sexually_harassed other_harassment 
	 receipt  num_customers chamber export_license tender changes_location 
	  loan_can_raise insurance budget financial_records advert  
	 other_activity contact_bank
	 taxescosts t_courts  t_police t_govern t_city_council t_tax_aut

	  ;
#d cr 	 

*Anonymized
drop Full_Name business_owner_name  cellphone3 s1q3  s1q6 s1q10_enum_name s1q11 s1q12_Busines~s s1q13_Land_mark  s1q14* s1q15* s1q16_id  s1q17_id  Resp_name  s1q18_id   consent applicantname businessname  account_name  account_name_~d  account_busin~e  account_number 


label var female "1= Owner is female"
label var	time	"round survey (0= BS, 1= F1, 2=F2, 3=F3, 4=F4)"
label var	City	" City	"
label var	form_num	"Form number	"
label var	dup	"Duplicated"
label var	temp_id1	"splitting temporal respondent id	"
label var	temp_id2	"splitting  temporal respondent id	"
label var	temp_id3	"splitting  temporal respondent id	"
label var	temp_id4	"splitting  temporal respondent id	"
label var	resp_id	"respondent id	"
label var	bc_num2	"bc_num2"
label var	enum_id2	"enumerate id"
label var	bc_eligible	"bc is eligible"
label var	enum_llw	"enumerate lilongwe	"
label var	n	"n	"
label var	copy	"copy"
label var	medianage	"median of age"
label var	treatment	"Treatment status"
label var	offer	"Offer	"
label var	city	"City	"
label var	registration_~d	"registration corrected	"
label var	reason_not_at~d	"reason for not attended  	"
label var	registration_~e	"Registration was accepted in the first offer	"
label var	invitationdon~n	"Invitation done	"
label var	accepted_firs~r	"Accepted in first offer	"
label var	certficate_de~t	"Certficate delivered to bt	"
label var	comment_bt	"comment_bt	"
label var	owner_age	"Owner age	"
label var	owner_age_sq	"Owner age squared	"
label var	Unablereadwrite	"1= Unable to read and write"
label var	Canread	"1= Can read	"
label var	Canreadwrite	"1= Can read and write	"
label var	nursery	"nursery	"
label var	Not_completed~1	"Not_completed_standard_1 	"
label var	Completed_sta~1	"Completed_standard_1 	"
label var	Completed_sta~2	"Completed_standard_2	"
label var	Completed_sta~3	"Completed_standard_3	"
label var	Completed_sta~4	"Completed_standard_4	"
label var	Completed_sta~5	"Completed_standard_5	"
label var	Completed_sta~6	"Completed_standard_6	"
label var	Completed_sta~7	"Completed_standard_7	"
label var	Completed_sta~8	"Completed_standard_8	"
label var	Completed_for~1	"Completed_form_1 	"
label var	Completed_for~2	"Completed_form_2	"
label var	Completed_for~3	"Completed_form_3	"
label var	Completed_for~4	"Completed_form_4	"
label var	Adult_vocatio~l	"Adult_vocational 	"
label var	Higher_educat~n	"1= Higher education completed	"
label var	Primary_incom~e	"1= Primary school incompleted	"
label var	primary_compl~d	"1= Primary school completed	"
label var	Seconday_comp~d	"1= Secondary school completed	"
label var	No_education	"1= Not educated	"
label var	Elders	"Elder	"
label var	Adults	"Adult	"
label var	Adolescents	"Adolescents	"
label var	Kids_5_14	"Number of kids between 5 - 14 years old	"
label var	Kids_0_4	"Number of kids between 0 - 4 years old	"
label var	HHSize	"Household size	"
label var	Experiance_DV	"Experiance_DV	"
label var	DV_past12_mon~s	"DV_past12_months	"
label var	selfdecidespe~g	"Self decides in what to spend	"
label var	spousedecides~g	"Spouse decides in what to spend	"
label var	Childeren_clo~g	"Children clothing expenses"
label var	Adult_clothing	"Adult clothing expenses"
label var	Footwear	"Footwear expenses"
label var	Total_HH_exp	"Total household expenses"
label var	Manufacturing	"1= Business sector is manufacturing"
label var	Retail	"1= Business sector is retail"
label var	Services	"1= Business sector is services	"
label var	firm_age	"Age of firm 	"
label var	firm_age_sq	"Age of firm squared	"
label var	Total_workers1	"Number of people working in business"
label var	Business_owner	"Number of business owners"
label var	Total_workers2	"Number of people working in business including business owners"
label var	Female_employ~s	"Number of female employees working in business excluding business owners	"
label var	Male_employees	"Number of male  employees working in business excluding business owners	"
label var	Total_employees	"Number of people working in business excluding business owners	"
label var	employ_3y	"Employement last 3 years	"
label var	banksavin~10000	"bank saving up to 10000	"
label var	saving_1~100000	"saving between 10001_100000	"
label var	saving_100001~0	"saving between 100001 - 1000000	"
label var	saving_moreth~0	"savings more than 1000000	"
label var	capital_inves~d	"capital invested (MWK)	"
label var	capital	"Capital amount (MWK): Fixed Assets"
label var	cap_labor_rat~1	"Capital labor ratio 	"
label var	cap_labor_rat~2	"Capital labor ratio 	"
label var	own_space	"1= Owns space where operates business	"
label var	netw_anyline	"1= Network contacts any sector	"
label var	netw_ownarea	"1= Network contacts in their own area	"
label var	likely_reg	"likely to be register"
label var	paidcitycounc~e	"1= Business pay city council market fee	"
label var	paid_any_tax	"1= Business pay any tax	"
label var	br_knowledge_~e	"registration knowledge score	"
label var	Asked_for_bribe	"1= Has been asked for bribe	"
label var	treats_to_shu~n	"1= Has received threats to shutdown	"
label var	sexuallyHaras~d	"1= Has been sexually harassed	"
label var	OtherIncome	"Other income	"
label var	innov	"# new products introduced past 12 months	"
label var	number_days_w~h	"Number of days worked last month	"
label var	number_weeks_~h	"Number of weeks worked last month	"
label var	num_customers~h	"number of customers in last month	"
label var	receipt	"1= Provides receipts	"
label var	Business_plan	"1= Has a business plan	"
label var	budget	"1= Has written a budget	"
label var	financial_rec~s	"1= Keeps financial records	"
label var	mix_bus_hh	"1= Takes business money whenever for HH"
label var	high_capture	"Agree with Whenever I have money on hand, spouse, other family members and friends always end up requesting some of it	"
label var	shares_money	"Shares money"
label var	Num_competitors	"Number of competitors	"
label var	money_for_per~l	"Money for personal use	"
label var	usedhh_out~1000	"usedhh_outof1000	"
label var	Financial_kno~e	"Financial knowledge	"
label var	owner_started	"1= Owner started business	"
label var	hyperbolic1	"hyperbolic1"
label var	impatient_lat~1	"impatient_later_patient_now1	"
label var	future	"Future	"
label var	discount_factor	"Discount factor	"
label var	future2	"Future	"
label var	discount_fact~2	"Discount factor	"
label var	inconsistent	"Inconsistent	"
label var	hyperbolic2	"hyperbolic2	"
label var	impatient_lat~2	"impatient_later_patient_now2	"
label var	future3	"Future	"
label var	discount_fact~3	"Discount factor	"
label var	future4	"Future	"
label var	discount_fact~4	"Discount factor	"
label var	inconsistent2	"Inconsistent	"
label var	hyperbolic3	"hyperbolic3	"
label var	impatient_lat~3	"impatient_later_patient_now3	"
label var	rate_a	"rate_a	"
label var	rate_b	"rate_b	"
label var	rate_c	"rate_c	"
label var	rate_d	"rate_d	"
label var	rate_e	"rate_e	"
label var	bearable_inte~e	"bearable_interest_rate	"
label var	entrepreneurs~p	"entrepreneurship index	"
label var	Selfmainprovi~r	"1= Main provider of income to household	"
label var	Married	"1= Married	"
label var	mother_enterp~r	"1= Mother was entrepreneur	"
label var	mother_wage_e~t	"1= Mother in Wage Employment	"
label var	mother_other_~t	"1= Mother has a job other than entrepreneur or wage employment"
label var	father_enterp~r	"1= Father was entrepreneur	"
label var	father_wage_e~t	"1= Father in Wage Employment	"
label var	father_other_~t	"1= Father has a job other than entrepreneur or wage employment"
label var	spouse_enterp~r	"1= Spouse was entrepreneur	"
label var	spouse_wage_e~t	"1= Spouse in Wage Employment	"
label var	spouse_other_~t	"1= Spouse has a job other than entrepreneur or wage employment	"
label var	index	"index	"
label var	hh_decision_i~x	"HH decision making index (0-100)	"
label var	hh_gender_vio~e	"HH gender violence index (0-100)	"
label var	hh_sexual_vio~e	"HH sexual violence index (0-100)	"
label var	hh_physical_v~3	"HH physical violence index (0-100)	"
label var	emotional_vio~e	"1= Experienced emotional violence	"
label var	electricity_a~s	"1= Business with access to electricity	"
label var	num_owners	"Number of owners	"
label var	morethan1owners	"1= More than 1 owner	"
label var	male_bus_part~r	"1= Business partner is a men	"
label var	hired_managers	"Managers are hired	"
label var	male_hired_ma~s	"Male managers are hired	"
label var	export	"Business exports	"
label var	lilongwe	"1= Lilongwe	"
label var	spouse_busine~n	"1= spouse decides on business"
label var	formal_loan	"1= has received a formal loan	"
label var	lnrecent_loan	"logarithm of recent loan amount	"
label var	lnloan_owed	"logarithm of loan owed amount	"
label var	demand_loan_now	"demand_loan_now	"
label var	gift	"gift	"
label var	buyinput_oncr~t	"buy input on credit	"
label var	operat_home	"1= business operate at home	"
label var	fixed_location2	"Fixed location	"
label var	va_input_mont~1	"va_input_monthly1 	"
label var	va_input_mont~2	"va_input_monthly2	"
label var	va_input_mont~3	"va_input_monthly3	"
label var	va_input_mont~4	"va_input_monthly4	"
label var	va_input_mont~5	"va_input_monthly5	"
label var	va_input_mont~y	"va_input_monthly	"
label var	input_val_1	"input_val_1	"
label var	input_value	"input_value	"
label var	affected_fuel	"affected_fuel	"
label var	num_technical~r	"Number of technical workers	"
label var	got_support	"1= got support	"
label var	confidence_gov	"1= has confidence in the government	"
label var	time_to_neare~k	"Time to nearest bank (minutes)	"
label var	f_crossovers	"f_crossovers	"
label var	m_crossovers	"m_crossovers	"
label var	business_acti~y	"Business activity	"
label var	total_workers_3	"total_workers_3	"
label var	lnRevenue_las~h	"Logarithm of Revenue last month (MWK)	"
label var	lnProfit_last~h	"Logarithm of Profit last month (MWK)	"
label var	lncapital	"Logarithm of capital (MWK)	"
label var	business_oper~s	"business is in operation	"
label var	registered	"Business is registered	"
label var	BRC_any_purpose	"BRC_any_purpose	"
label var	satisfied_wit~k	"1= Is satisfied with his/her work	"
label var citycouncil "City council"
label var Market_fee "Market fee"
label var Literate "1= Literate"
label var panel "1= In panel"
label var large_size "1= Business is large: the revenues winsorized are larger than the median"

label var has_BRC "1= Has BRC at baseline" 					
label var has_TPIN "1= Has TPIN at baseline"
label var has_city_council "1= Has city council license at baseline"

label var banksonly_bus_account "1= Has a business bank account at baseline"
label var chamber "1= Belongs to Malawian Chamber of Commerce at baseline" 
label var export_license "1= Has export license at baseline"
label var tender "1=Participates in Gov't tenders  at baseline"
label var changes_location "1= Location of the business has changed at baseline"

label var banks_any_account "1= Has a bank account at baseline"
label var insurance  "1= Has insurance for business at baseline"
label var financial_records "1= Business keeps financial records at baseline"
label var contact_bank "1= Bank has contacted the business at baseline"
label var receipt "1= Firm provides formal receipts at baseline"
label var banksonly_bus_account "1= Has bank account in name of business at baseline"
label var account_used_only_business "1= Uses any account just for business purposes at baseline"
label var banks_saving "1= Saves at bank at baseline"


label var	capital	"Capital (MWK): Fixed Assets at baseline	"
label var	Asked_for_b~e	"1= Has been asked for bribe at baseline	"
label var	number_days~h	"Number of days worked last month at baseline	"
label var	budget	"1= Has a budget at baseline	"
label var	mix_bus_hh	"1= Takes business money whenever for HH at baseline	"
label var	Financial_k~e	"Financial literacy knowledge (0-1)at baseline	"
label var   usd_Revenue_lastmonth "Revenue last month (U$S) at baseline"
label var usd_Profit_lastmonth "Profit last month (U$S) at baseline"
label var   usd_Revenue_lastweek "Revenue last week (U$S) at baseline"
label var usd_Profit_lastweek "Profit last week (U$S) at baseline"
label var usd_Revenue_lastmonth99 "Revenue last month winsorized at 99th percentile (U$S) at baseline	"
label var usd_Profit_lastmonth99 "Profit last month winsorized at 99th percentile (U$S) at baseline	"
label var usd_Revenue_lastweek99 "Revenue last week winsorized at 99th percentile (U$S) at baseline	"
label var usd_Profit_lastweek99 "Profit last week winsorized at 99th percentile (U$S) at baseline	"
label var usd_loan_can_raise "Amount that business can borrow in 2 weeks (U$S) at baseline"
label var	Revenue_l~h99	"Revenue last month winsorized at 99th percentile (MWK) at baseline	"
label var	Profit_la~h99	"Profit last month winsorized at 99th percentile (MWK) at baseline	"
label var	Revenue_las~k	"Revenue last week (MWK) at baseline	"
label var	Profit_last~k	"Profit last week (MWK) at baseline	"
label var	Revenue_l~k99	"Revenue last week winsorized at 99th percentile (MWK) at baseline	"
label var	Profit_la~k99	"Profit last week winsorized at 99th percentile (MWK)  at baseline	"
label var usd_capital  "Capital (US$): Fixed Assets at baseline"
label var usd_assets "Assets (US$): Fixed Assets + Inventories + Cash at baseline"
label var usd_amount_recentloan "Amount of a recent loan (US$) at baseline"
label var usd_saved_amount "Amount saved (US$) at baseline"
label var usd_saved_amount99 "Amount saved winsorized at 99th percentile (US$) at baseline"
label var usd_saved_amount_bank "Saved amount at bank (US$) at baseline"
labe var usd_debt_outst_include "Debt outstanding (U$S)"
label var debt_outst_include "Debt outstanding (MWK)"
label var	any_account	"1= Has an account at baseline"
label var	rosca_sacco	"1= saves at ROSCA-SACCO  at baseline"
label var	save_home	"1= saves at homeat baseline"
label var	saved_amount	"Saved amount (MWK)at baseline"
label var	saved_amount99	"Saved amount winsorized at 99th percentile (MWK) at baseline"
label var	saved_amoun~k	"Saved amount at bank (MWK) at baseline"
label var	borrowed_in~t	"1=Borrowed in the past at baseline"
label var	assets	"Assets (MWK): Fixed Assets + Inventories + Cash at baseline"
label var	ihst_Profit~h	"Profit last month inverse hyperbolic sine transformation (MWK)at baseline"
label var	ihst_Revenu~h	"Revenue last month inverse hyperbolic sine transformation (MWK) at baseline"
label var	amount_rece~n	"Amount of a recent loan (MWK) at baseline"
label var	confiscation	"1= Has received threats to confiscation at baseline"
label var	num_customers	"Number of customersat baseline"
label var	advert	"1= Business advertises at baseline"
label var	propmalewor~s	"Proportion of male workers at baseline"
label var	threats_to_~n	"1= Has received threats to shutdown at baseline"
label var	sexually_ha~d	"1= Has been sexually harassed  at baseline"
label var	other_haras~t	"1= Has received other harassment at baseline"
label var	other_activ~y	"Other business activity at baseline"
label var	taxescosts	"Taxes costs (MWK)at baseline"
label var	loan_can_ra~e	"Amount that business can borrow in 2 weeks (MWK) at baseline"
label var	t_courts	"1= Trust in courts at baseline	"
label var	t_police	"1= Trust in police at baseline	"
label var	t_govern	"1= Trust in government at baseline	"
label var	t_city_coun~l	"1= Trust in city council at baseline	"
label var	t_tax_aut	"1= Trust in tax authorities at baseline	"
label var	Total_worke~2	"Number of people working in business at baseline	"

label var   missBSihst_Revenue_lastmonth "1= ihst_Revenue_lastmonth var is missing in baseline	"
label var   missBSihst_Profit_lastmonth "1= ihst_Profit_lastmonth var is missing in baseline	"
label var   missBSusd_loan_can_raise "1= usd_loan_can_raise var is missing in baseline	"
label var   missBSpropmaleworkers  "1= propmaleworkers var is missing in baseline	"
label var   missBScontact_bank "1= contact_bank var is missing in baseline	"
label var	missBSRevenue_~k	"1= Revenue last week (MWK) var is missing in baseline	"
label var	missBSRevenu~k99	"1= Revenue last week winsorized (MWK) var is missing in baseline	"
label var	missBSProfit_l~k	"1= Profit last week (MWK) var is missing in baseline	"
label var	missBSProfit~k99	"1= Profit last week winsorized (MWK) var is missing in baseline	"
label var	missBSRevenue_~h	"1= Revenue last month (MWK) var is missing in baseline	"
label var	missBSRevenu~h99	"1= Revenue last month winsorized (MWK)  var is missing in baseline	"
label var	missBSProfit_l~h	"1= Profit last month (MWK) var is missing in baseline	"
label var	missBSProfit~h99	"1= Profit last month winsorized (MWK) var is missing in baseline	"
label var	missBSbanksonl~t	"1= banksonly_bus_account var is missing in baseline	"
label var	missBSbanks_an~t	"1= banks_any_account  var is missing in baseline	"
label var	missBSbanks_sa~g	"1= banks_saving var is missing in baseline	"
label var	missBSrosca_sa~o	"1= rosca sacco var is missing in baseline	"
label var	missBSsave_home	"1= save at home var is missing in baseline	"
label var	missBSaccount_~s	"1= account_used_only_business var is missing in baseline	"
label var	missBSloan_can~e	"1= loan_can_raise var is missing in baseline	"
label var	missBSamount_r~n	"1= amount_recentloan var is missing in baseline	"
label var	missBScapital	"1= capital var is missing in baseline	"
label var	missBSinsurance	"1= insurance var is missing in baseline	"
label var	missBSmix_bus_hh	"1= mix bus hh var is missing in baseline	"
label var	missBSfinancia~s	"1= financial_records var is missing in baseline	"
label var	missBStender	"1= tender var is missing in baseline	"
label var	missBSexport_l~e	"1= export license var is missing in baseline	"
label var	missBSchamber	"1= chamber var is missing in baseline	"
label var	missBShas_BRC	"1= has BRC var is missing in baseline	"
label var	missBShas_TPIN	"1= has TPIN var is missing in baseline	"
label var	missBShas_city~l	"1= has city council var is missing in baseline	"
label var	missBSreceipt	"1= receipt var is missing in baseline	"
label var	missBSchanges_~n	"1= changes location var is missing in baseline	"
label var	missBStaxescosts	"1= taxes costs var is missing in baseline	"
label var	missBSt_courts	"1= trust in courts var is missing in baseline	"
label var	missBSt_police	"1= trust in police var is missing in baseline	"
label var	missBSt_govern	"1= trust in govern var is missing in baseline	"
label var	missBSt_city_c~l	"1= trust in city council var is missing in baseline	"
label var	missBSt_tax_aut	"1= trust in tax authorities var is missing in baseline	"

label var	Revenue_la~h	"Revenue last month (MWK)	"
label var	Profit_las~h	"Profit last month (MWK)	"
label var	bank_loan	"Bank loan	"
label var	missBSinspected_municipality	"1= var is missing in baseline	"
label var	missBSAs~e	"1= var is missing in baseline	"
label var	confident_~e	"1= feels confident to say no to bribes	"
label var	missBSconfi~e	"1=  feels confident to say no to bribes is missing in baseline	"
label var	missBSth~n	"1= var is missing in baseline	"
label var Business_owner "Number of owners"
label var benefits_reg  "Owner indetifies benefits from registration"
label var missBSconfiscation "1= confiscation var is missing in baseline"
label var missBSsexually_harassed  "1= sexually_harassed  var is missing in baseline"
label var missBSother_harassment "1= other_harassment var is missing in baseline"
label var missBSno_inspected_taxes "1= no_inspected_taxes var is missing in baseline"
label var missBSno_inspected_other "1= no_inspected_other var is missing in baseline"
label var missBSsaved_amount_bank "1= saved_amount_bank var is missing in baseline"
label var missBSusd_saved_amount "1= saved_amount_bank (U$S) var is missing in baseline"
label var no_inspected_~r "1= Hasn't been inspected by other institutions at baseline"
label var no_inspected_taxes "1= Hasn't been inspected by tax authorities at baseline"


label var registration  "Treatment status: 1= Treated, 0=Control group"
label var BR_training  "BR treatment, owner treated for business registration"
label var BR_only  "BR treatment, owner treated for only business registration"
label var  BR_TPIN "BR + TPIN treatment, owner treated for only business registration + taxes registration"
desc

*-- Save baseline data with labels
save "Paper for pub\Data\Inputs for panel\Baseline_Malawi_clean_September_2018_BS.dta", replace

**************************************
* Follow-up 1 Labels
*-- Open follow-up 1 data
use "$follow_up\Working Data\First_followup_Malawi_clean_September_2018_F.dta"

desc

#d ;
keep id time F_de_date-F_de_end F_no_attrition F_attrition F_has_business F_closure
F_has_BRC F_has_TPIN F_has_city_council F_Revenue_lastmonth F_Revenue_lastweek F_Revenue_lastmonth99 F_Revenue_lastweek99 F_ihst_Revenue_lastmonth	 F_Profit_lastmonth F_Profit_lastweek F_Profit_lastmonth99 F_Profit_lastweek99 F_ihst_Profit_lastmonth F_banksonly_bus_account F_export_license F_chamber F_tender F_changes_location F_loan_can_raise F_amount_recentloan F_insurance  F_saved_amount F_saved_amount_bank F_mix_bus_hh F_financial_records  F_contact_bank F_taxescosts F_receipt F_t_courts  F_t_police F_t_govern F_t_city_council F_t_tax_aut F_banks_any_account F_banksonly_bus_account  F_account_used_only_business F_save_home F_rosca_sacco F_banks_saving F_inspected_municipality F_inspected_taxes F_inspected_other F_Asked_for_bribe F_confident_no_bribe F_threats_to_shutdown F_confiscation F_sexually_harassed F_other_harassment  missFhas_BRC missFhas_TPIN missFhas_city_council missFRevenue_lastmonth missFRevenue_lastweek missFRevenue_lastmonth99 missFRevenue_lastweek99	missFProfit_lastmonth missFProfit_lastweek missFProfit_lastmonth99 missFProfit_lastweek99 missFbanksonly_bus_account missFchamber missFexport_license missFtender missFchanges_location  missFloan_can_raise missFamount_recentloan  missFinsurance  missFmix_bus_hh missFfinancial_records missFtaxescosts missFreceipt missFt_courts  missFt_police missFt_govern missFt_city_council missFt_tax_aut missFbanks_any_account missFbanksonly_bus_account  missFaccount_used_only_bus missFsave_home missFrosca_sacco missFbanks_saving missFno_inspected_municipalit missFno_inspected_taxes missFno_inspected_other missFno_Asked_for_bribe missFconfident_no_bribe missFno_threats_to_shutdown  missFno_confiscation missFno_sexually_harassed missFno_other_harassment missFcapital missFusd_saved_amount missFno_rosca_sacco missFno_save_home missFusd_saved_amount_bank  missFno_inspected_municipalit missFno_inspected_taxes  missFno_inspected_other missFno_Asked_for_bribe missFconfident_no_bribe missFno_threats_to_shutdown missFno_confiscation missFno_sexually_harassed missFno_other_harassment F_capital F_Financial_k~e F_any_account F_saved_amount99 F_borrowed_in~t F_assets F_num_customers F_advert  F_other_activ~y 					
missFcontact_bank	/* Baseline outcomes */
	 F_Total_workers2 F_Business_owner 
	 F_Financial_knowledge  
	 F_Revenue_lastmonth F_Revenue_lastweek 
	 F_Revenue_lastmonth99  F_Revenue_lastweek99 F_ihst_Revenue_lastmonth 
	 F_Profit_lastmonth 
	 F_Profit_lastweek F_Profit_lastmonth99  F_Profit_lastweek99 
	 F_ihst_Profit_lastmonth	F_number_days_workmonth  F_capital F_assets F_propmaleworkers  
	 F_borrowed_in_past  F_amount_recentloan  F_any_account F_banks_any_account F_banksonly_bus_account 
	 F_account_used_only_business F_save_home  F_rosca_sacco F_banks_saving F_saved_amount  
	 F_saved_amount99 F_saved_amount_bank F_mix_bus_hh F_bank_loan    
	  F_benefits_reg F_inspected_municipality 
	 F_Asked_for_bribe F_threats_to_shutdown F_confiscation F_sexually_harassed F_other_harassment 
	 F_receipt  F_num_customers F_chamber F_export_license F_tender F_changes_location 
	  F_loan_can_raise F_insurance F_budget F_financial_records F_advert  
	 F_other_activity F_contact_bank
	 F_taxescosts F_t_courts  F_t_police F_t_govern F_t_city_council F_t_tax_aut

	  ;
#d cr 	 

*Anonymized
drop F_operator F_name_of_respondent F_s1q1_firstname F_s1q2_surname F_s1q6* F_s1q7* F_s1q5_b  F_s1q8_3_b F_s1q13* F_s1q14* F_s1q15* F_s1q16* F_s1q17*

desc
 

label var F_no_attrition "1= no attrited" 
label var F_attrition "1= business attrited"
label var F_has_business "1= Has business"
label var F_closure "1= The business has closed"

label var F_has_BRC "1= Has BRC -follow-up info-" 					
label var F_has_TPIN "1= Has TPIN -follow-up info-"
label var F_has_city_council "1= Has city council license -follow-up info-"

label var F_banksonly_bus_account "1= Has a business bank account -follow-up info-"
label var F_chamber "1= Belongs to Malawian Chamber of Commerce -follow-up info-" 
label var F_export_license "1= Has export license -follow-up info-"
label var F_tender "1=Participates in Gov't tenders  -follow-up info-"
label var F_changes_location "1= Location of the business has changed -follow-up info-"

label var F_banks_any_account "1= Has a bank account -follow-up info-"
label var F_insurance  "1= Has insurance for business -follow-up info-"
label var F_financial_records "1= Business keeps financial records -follow-up info-"
label var F_contact_bank "1= Bank contacted business -follow-up info-"
label var F_receipt "1= Firm provides formal receipts -follow-up info-"
label var F_banksonly_bus_account "1= Has bank account in name of business -follow-up info-"
label var F_account_used_only_business "1= Uses any account just for business purposes -follow-up info-"
label var F_banks_saving "1= Saves at bank -follow-up info-"


label var	F_capital	"Capital (MWK): Fixed Assets -follow-up info-	"
label var	F_Asked_for_b~e	"1= Has been asked for bribe -follow-up info-	"
label var	F_number_days~h	"Number of days worked last month -follow-up info-	"
label var	F_budget	"1= Has a budget -follow-up info-	"
label var	F_mix_bus_hh	"1= Takes business money whenever for HH -follow-up info-	"
label var	F_Financial_k~e	"Financial literacy knowledge (0-1)-follow-up info-	"
label var	F_Revenue_l~h99	"Revenue last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F_Profit_la~h99	"Profit last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F_Revenue_las~k	"Revenue last week (MWK) -follow-up info-	"
label var	F_Profit_last~k	"Profit last week (MWK) -follow-up info-	"
label var	F_Revenue_l~k99	"Revenue last week winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F_Profit_la~k99	"Profit last week winsorized at 99th percentile (MWK)  -follow-up info-	"
label var	F_any_account	"1= Has an account -follow-up info-"
label var	F_rosca_sacco	"1= saves at ROSCA-SACCO  -follow-up info-"
label var	F_save_home	"1= saves at home-follow-up info-"
label var	F_saved_amount	"Saved amount (MWK)-follow-up info-"
label var	F_saved_amount99	"Saved amount winsorized at 99th percentile (MWK) -follow-up info-"
label var	F_saved_amoun~k	"Saved amount at bank (MWK) -follow-up info-"
label var	F_borrowed_in~t	"1=Borrowed in the past -follow-up info-"
label var	F_assets	"Assets (MWK): Fixed Assets + Inventories + Cash -follow-up info-"
label var	F_ihst_Profit~h	"Profit last month inverse hyperbolic sine transformation (MWK)-follow-up info-"
label var	F_ihst_Revenu~h	"Revenue last month inverse hyperbolic sine transformation (MWK) -follow-up info-"
label var	F_amount_rece~n	"Amount of a recent loan (MWK) -follow-up info-"
label var	F_confiscation	"1= Has received threats to confiscation -follow-up info-"
label var	F_num_customers	"Number of customers-follow-up info-"
label var	F_advert	"1= Advertises -follow-up info-"
label var	F_propmalewor~s	"Proportion of male workers -follow-up info-"
label var	F_threats_to_~n	"1= Has received threats to shutdown -follow-up info-"
label var	F_sexually_ha~d	"1= Has been sexually harassed  -follow-up info-"
label var	F_other_haras~t	"1= Has received other harassment -follow-up info-"
label var	F_other_activ~y	"Other business activity -follow-up info-"
label var	F_taxescosts	"Taxes costs (MWK)-follow-up info-"
label var	F_loan_can_ra~e	"Amount that business can borrow in 2 weeks (MWK) -follow-up info-"
label var	F_t_courts	"1= Trust in courts -follow-up info-	"
label var	F_t_police	"1= Trust in police-follow-up info-	"
label var	F_t_govern	"1= Trust in government-follow-up info-	"
label var	F_t_city_coun~l	"1= Trust in city council -follow-up info-	"
label var	F_t_tax_aut	"1= Trust in tax authorities -follow-up info-	"
label var	F_Total_worke~2	"Number of people working in business  -follow-up info-	"

label var   missFcontact_bank  "1= contact_bank var is missing in round survey	" 
label var	missFRevenue_~k	"1= Revenue last week (MWK) var is missing in round survey	"
label var	missFRevenu~k99	"1= Revenue last week winsorized (MWK) var is missing in round survey	"
label var	missFProfit_l~k	"1= Profit last week (MWK) var is missing in round survey	"
label var	missFProfit~k99	"1= Profit last week winsorized (MWK) var is missing in round survey	"
label var	missFRevenue_~h	"1= Revenue last month (MWK) var is missing in round survey	"
label var	missFRevenu~h99	"1= Revenue last month winsorized (MWK) var is missing in round survey	"
label var	missFProfit_l~h	"1= Profit last month (MWK) var is missing in round survey	"
label var	missFProfit~h99	"1= Profit last month winsorized (MWK) var is missing in round survey	"
label var	missFbanksonl~t	"1= banksonly_bus_account var is missing in round survey	"
label var	missFbanks_an~t	"1= banks_any_account var is missing in round survey	"
label var	missFbanks_sa~g	"1= banks savings var is missing in round survey	"
label var	missFrosca_sa~o	"1= rosca sacco var is missing in round survey	"
label var	missFno_rosca~o	"1= no rosca sacco var is missing in round survey	"
label var	missFsave_home	"1= save home var is missing in round survey	"
label var	missFno_save_~e	"1= no save home var is missing in round survey	"
label var	missFaccount_~s	"1= account_used_only_bus var is missing in round survey	"
label var	missFusd_save~t	"1= usd_saved_amount var is missing in round survey	"
label var	missFusd_save~k	"1= missFusd_saved_amount_bank var is missing in round survey	"
label var	missFloan_can~e	"1= loan_can_raise var is missing in round survey	"
label var	missFamount_r~n	"1= amount_recentloan var is missing in round survey	"
label var	missFcapital	"1= capital var is missing in round survey	"
label var	missFinsurance	"1= insurance var is missing in round survey	"
label var	missFmix_bus_hh	"1= mix bus hh var is missing in round survey	"
label var	missFfinancia~s	"1= financial_records  var is missing in round survey	"
label var	missFtender	"1= tender var is missing in round survey	"
label var	missFexport_l~e	"1= export license var is missing in round survey	"
label var	missFchamber	"1= chamber var is missing in round survey	"
label var	missFhas_BRC	"1= has BRC var is missing in round survey	"
label var	missFhas_TPIN	"1= has TPIN var is missing in round survey	"
label var	missFhas_city~l	"1= has city council var is missing in round survey	"
label var	missFreceipt	"1= receipt var is missing in round survey	"
label var	missFchanges_~n	"1= changes location var is missing in round survey	"
label var	missFtaxescosts	"1= taxes costs var is missing in round survey	"
label var	missFt_courts	"1= trust in courts var is missing in round survey	"
label var	missFt_police	"1= trust in police var is missing in round survey	"
label var	missFt_govern	"1= trust in govern var is missing in round survey	"
label var	missFt_city_c~l	"1= trust in city council var is missing in round survey	"
label var	missFt_tax_aut	"1= trust in tax authorities var is missing in round survey	"

label var	time	"round survey (0= BS, 1= F1, 2=F2, 3=F3, 4=F4)	"
label var	F_Revenue_la~h	"Revenue last month (MWK)	"
label var	F_Profit_las~h	"Profit last month (MWK)	"
label var	F_bank_loan	"Bank loan	"
label var	missFno_in~t	"1= no_inspected_municipality var is missing in round survey	"
label var	missFno_in~s	"1= no_inspected_taxes var is missing in round survey	"
label var	missFno_in~r	"1= no_inspected_other var is missing in round survey	"
label var	missFno_As~e	"1= no asked for bribe var is missing in round survey	"
label var	F_confident_~e	"1= feels confident to say no to bribes	"
label var	missFconfi~e	"1= feels confident to say no to bribes is missing in round survey	"
label var	missFno_th~n	"1= no threats to shutdown var is missing in round survey	"
label var F_Business_owner "Number of owners"
label var F_benefits_reg  "Owner indetifies benefits from registration"
label var missFno_confiscation "1= no_confiscation var is missing in round survey"
label var missFno_sexually_harassed  "1= no_sexually_harassed  var is missing in round survey"
label var missFno_other_harassment "1= no_other_harassment var is missing in round survey"


desc

*-- Save follow-up 1 data with labels
save "Paper for pub\Data\Inputs for panel\First_followup_Malawi_clean_September_2018_F.dta", replace

**************************************
* Follow-up 2 Labels
*-- Open follow-up 2 data
use "$second_follow_up\Working Data\Second_followup_Malawi_clean_September_2018_F2.dta"

desc

#d ;
keep id time F2_de_date-F2_de_end F2_no_attrition F2_attrition F2_has_business F2_closure
F2_has_BRC F2_has_TPIN F2_has_city_council F2_Revenue_lastmonth F2_Revenue_lastweek F2_Revenue_lastmonth99 F2_Revenue_lastweek99 F2_ihst_Revenue_lastmonth	 F2_Profit_lastmonth F2_Profit_lastweek F2_Profit_lastmonth99 F2_Profit_lastweek99 F2_ihst_Profit_lastmonth F2_banksonly_bus_account F2_export_license F2_chamber F2_tender F2_changes_location F2_loan_can_raise F2_amount_recentloan F2_insurance  F2_saved_amount F2_saved_amount_bank F2_mix_bus_hh F2_financial_records  F2_contact_bank F2_taxescosts F2_receipt F2_t_courts  F2_t_police F2_t_govern F2_t_city_council F2_t_tax_aut F2_banks_any_account F2_banksonly_bus_account  F2_account_used_only_business F2_save_home F2_rosca_sacco F2_banks_saving F2_inspected_municipality F2_inspected_taxes F2_inspected_other F2_Asked_for_bribe F2_confident_no_bribe F2_threats_to_shutdown F2_confiscation F2_sexually_harassed F2_other_harassment  missF2has_BRC missF2has_TPIN missF2has_city_council missF2Revenue_lastmonth missF2Revenue_lastweek missF2Revenue_lastmonth99 missF2Revenue_lastweek99	missF2Profit_lastmonth missF2Profit_lastweek missF2Profit_lastmonth99 missF2Profit_lastweek99 missF2banksonly_bus_account missF2chamber missF2export_license missF2tender missF2changes_location  missF2loan_can_raise missF2amount_recentloan  missF2insurance  missF2mix_bus_hh missF2financial_records missF2taxescosts missF2receipt missF2t_courts  missF2t_police missF2t_govern missF2t_city_council missF2t_tax_aut missF2banks_any_account missF2banksonly_bus_account  missF2account_used_only_bus missF2save_home missF2rosca_sacco missF2banks_saving missF2no_inspected_municipalit missF2no_inspected_taxes missF2no_inspected_other missF2no_Asked_for_bribe missF2confident_no_bribe missF2no_threats_to_shutdown  missF2no_confiscation missF2no_sexually_harassed missF2no_other_harassment missF2capital missF2usd_saved_amount missF2no_rosca_sacco missF2no_save_home missF2usd_saved_amount_bank  missF2no_inspected_municipalit missF2no_inspected_taxes  missF2no_inspected_other missF2no_Asked_for_bribe missF2confident_no_bribe missF2no_threats_to_shutdown missF2no_confiscation missF2no_sexually_harassed missF2no_other_harassment F2_capital F2_Financial_k~e F2_any_account F2_saved_amount99 F2_borrowed_in~t F2_assets F2_num_customers F2_advert  F2_other_activ~y 
 missF2contact_bank					
	/* Baseline outcomes */
	 F2_Total_workers2 F2_Business_owner 
	 F2_Financial_knowledge  
	 F2_Revenue_lastmonth F2_Revenue_lastweek 
	 F2_Revenue_lastmonth99  F2_Revenue_lastweek99 F2_ihst_Revenue_lastmonth 
	 F2_Profit_lastmonth 
	 F2_Profit_lastweek F2_Profit_lastmonth99  F2_Profit_lastweek99 
	 F2_ihst_Profit_lastmonth	F2_number_days_workmonth  F2_capital F2_assets F2_propmaleworkers  
	 F2_borrowed_in_past  F2_amount_recentloan  F2_any_account F2_banks_any_account F2_banksonly_bus_account 
	 F2_account_used_only_business F2_save_home  F2_rosca_sacco F2_banks_saving F2_saved_amount  
	 F2_saved_amount99 F2_saved_amount_bank F2_mix_bus_hh F2_bank_loan    
	  F2_benefits_reg F2_inspected_municipality 
	 F2_Asked_for_bribe F2_threats_to_shutdown F2_confiscation F2_sexually_harassed F2_other_harassment 
	 F2_receipt  F2_num_customers F2_chamber F2_export_license F2_tender F2_changes_location 
	  F2_loan_can_raise F2_insurance F2_budget F2_financial_records F2_advert  
	 F2_other_activity F2_contact_bank
	 F2_taxescosts F2_t_courts  F2_t_police F2_t_govern F2_t_city_council F2_t_tax_aut

	  ;
#d cr 	 

*Anonymized
drop F2_name_of_respondent F2_declerk  F2_operator  F2_name_of_re* F2_s1q1_first* F2_s1q2_surname  F2_s1q5_b F2_s1q6* F2_s1q7* F2_s1q8* F2_s1q11* F2_s1q12* F2_s1q13* F2_s1q14* F2_s1q15* F2_s1q16* F2_s1q17*

desc

label var F2_no_attrition "1= no attrited" 
label var F2_attrition "1= business attrited"
label var F2_has_business "1= Has business"
label var F2_closure "1= The business has closed"

label var F2_has_BRC "1= Has BRC -follow-up info-" 					
label var F2_has_TPIN "1= Has TPIN -follow-up info-"
label var F2_has_city_council "1= Has city council license -follow-up info-"

label var F2_banksonly_bus_account "1= Has a business bank account -follow-up info-"
label var F2_chamber "1= Belongs to Malawian Chamber of Commerce -follow-up info-" 
label var F2_export_license "1= Has export license -follow-up info-"
label var F2_tender "1=Participates in Gov't tenders  -follow-up info-"
label var F2_changes_location "1= Location of the business has changed -follow-up info-"

label var F2_banks_any_account "1= Has a bank account -follow-up info-"
label var F2_insurance  "1= Has insurance for business -follow-up info-"
label var F2_financial_records "1= Business keeps financial records -follow-up info-"
label var F2_contact_bank "1= Bank contacted business -follow-up info-"
label var F2_receipt "1= Firm provides formal receipts -follow-up info-"
label var F2_banksonly_bus_account "1= Has bank account in name of business -follow-up info-"
label var F2_account_used_only_business "1= Uses any account just for business purposes -follow-up info-"
label var F2_banks_saving "1= Saves at bank -follow-up info-"


label var	F2_capital	"Capital (MWK): Fixed Assets -follow-up info-	"
label var	F2_Asked_for_b~e	"1= Has been asked for bribe -follow-up info-	"
label var	F2_number_days~h	"Number of days worked last month -follow-up info-	"
label var	F2_budget	"1= Has a budget -follow-up info-	"
label var	F2_mix_bus_hh	"1= Takes business money whenever for HH -follow-up info-	"
label var	F2_Financial_k~e	"Financial literacy knowledge (0-1)-follow-up info-	"
label var	F2_Revenue_l~h99	"Revenue last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F2_Profit_la~h99	"Profit last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F2_Revenue_las~k	"Revenue last week (MWK) -follow-up info-	"
label var	F2_Profit_last~k	"Profit last week (MWK) -follow-up info-	"
label var	F2_Revenue_l~k99	"Revenue last week winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F2_Profit_la~k99	"Profit last week winsorized at 99th percentile (MWK)  -follow-up info-	"
label var	F2_any_account	"1= Has an account -follow-up info-"
label var	F2_rosca_sacco	"1= saves at ROSCA-SACCO  -follow-up info-"
label var	F2_save_home	"1= saves at home-follow-up info-"
label var	F2_saved_amount	"Saved amount (MWK)-follow-up info-"
label var	F2_saved_amount99	"Saved amount winsorized at 99th percentile (MWK) -follow-up info-"
label var	F2_saved_amoun~k	"Saved amount at bank (MWK) -follow-up info-"
label var	F2_borrowed_in~t	"1=Borrowed in the past -follow-up info-"
label var	F2_assets	"Assets (MWK): Fixed Assets + Inventories + Cash -follow-up info-"
label var	F2_ihst_Profit~h	"Profit last month inverse hyperbolic sine transformation (MWK)-follow-up info-"
label var	F2_ihst_Revenu~h	"Revenue last month inverse hyperbolic sine transformation (MWK) -follow-up info-"
label var	F2_amount_rece~n	"Amount of a recent loan (MWK) -follow-up info-"
label var	F2_confiscation	"1= Has received threats to confiscation -follow-up info-"
label var	F2_num_customers	"Number of customers-follow-up info-"
label var	F2_advert	"1= Advertises -follow-up info-"
label var	F2_propmalewor~s	"Proportion of male workers -follow-up info-"
label var	F2_threats_to_~n	"1= Has received threats to shutdown -follow-up info-"
label var	F2_sexually_ha~d	"1= Has been sexually harassed  -follow-up info-"
label var	F2_other_haras~t	"1= Has received other harassment -follow-up info-"
label var	F2_other_activ~y	"Other business activity -follow-up info-"
label var	F2_taxescosts	"Taxes costs (MWK)-follow-up info-"
label var	F2_loan_can_ra~e	"Amount that business can borrow in 2 weeks (MWK) -follow-up info-"
label var	F2_t_courts	"1= Trust in courts -follow-up info-	"
label var	F2_t_police	"1= Trust in police-follow-up info-	"
label var	F2_t_govern	"1= Trust in government-follow-up info-	"
label var	F2_t_city_coun~l	"1= Trust in city council -follow-up info-	"
label var	F2_t_tax_aut	"1= Trust in tax authorities -follow-up info-	"
label var	F2_Total_worke~2	"Number of people working in business  -follow-up info-	"

label var   missF2contact_bank  "1= contact bank var is missing in round survey	"
label var	missF2Revenue_~k	"1= Revenue last week (MWK) var is missing in round survey	"
label var	missF2Revenu~k99	"1= Revenue las week winsorized (MWK) var is missing in round survey	"
label var	missF2Profit_l~k	"1= Profit last week (MWK) var is missing in round survey	"
label var	missF2Profit~k99	"1= Profit last week winsorized (MWK) var is missing in round survey	"
label var	missF2Revenue_~h	"1= Revenue last month (MWK) var is missing in round survey	"
label var	missF2Revenu~h99	"1= Revenue last month winsorized (MWK) var is missing in round survey	"
label var	missF2Profit_l~h	"1= Profit last month (MWK) var is missing in round survey	"
label var	missF2Profit~h99	"1= Profit last month winsorized (MWK) var is missing in round survey	"
label var	missF2banksonl~t	"1= banksonly_bus_account var is missing in round survey	"
label var	missF2banks_an~t	"1=  banks_any_account var is missing in round survey	"
label var	missF2banks_sa~g	"1= banks savings var is missing in round survey	"
label var	missF2rosca_sa~o	"1= rosca sacco var is missing in round survey	"
label var	missF2no_rosca~o	"1= no rosca sacco var is missing in round survey	"
label var	missF2save_home	"1= save home var is missing in round survey	"
label var	missF2no_save_~e	"1= no save home var is missing in round survey	"
label var	missF2account_~s	"1= account_used_only_bus var is missing in round survey	"
label var	missF2usd_save~t	"1= usd_saved_amount var is missing in round survey	"
label var	missF2usd_save~k	"1= usd_saved_amount_bank var is missing in round survey	"
label var	missF2loan_can~e	"1= loan can raise var is missing in round survey	"
label var	missF2amount_r~n	"1= amount_recentloan var is missing in round survey	"
label var	missF2capital	"1= capital var is missing in round survey	"
label var	missF2insurance	"1= insurance var is missing in round survey	"
label var	missF2mix_bus_hh	"1= mix bus hh var is missing in round survey	"
label var	missF2financia~s	"1= financial records var is missing in round survey	"
label var	missF2tender	"1= tender var is missing in round survey	"
label var	missF2export_l~e	"1= export license var is missing in round survey	"
label var	missF2chamber	"1= chamber var is missing in round survey	"
label var	missF2has_BRC	"1= has BRC var is missing in round survey	"
label var	missF2has_TPIN	"1= has TPIN var is missing in round survey	"
label var	missF2has_city~l	"1= has city council license var is missing in round survey	"
label var	missF2receipt	"1= receipt var is missing in round survey	"
label var	missF2changes_~n	"1= changes location var is missing in round survey	"
label var	missF2taxescosts	"1= taxes costs var is missing in round survey	"
label var	missF2t_courts	"1= trust in courts var is missing in round survey	"
label var	missF2t_police	"1= trust in police var is missing in round survey	"
label var	missF2t_govern	"1= trust in govern var is missing in round survey	"
label var	missF2t_city_c~l	"1= trust in city council var is missing in round survey	"
label var	missF2t_tax_aut	"1= trust in tax authorities var is missing in round survey	"

label var	time	"round survey (0= BS, 1= F1, 2=F2, 3=F3, 4=F4)	"
label var	F2_Revenue_la~h	"Revenue last month (MWK)	"
label var	F2_Profit_las~h	"Profit last month (MWK)	"
label var	F2_bank_loan	"Bank loan	"
label var	missF2no_in~t	"1= no_inspected_municipalit var is missing in round survey	"
label var	missF2no_in~s	"1= no_inspected_taxes var is missing in round survey	"
label var	missF2no_in~r	"1= no_inspected_other var is missing in round survey	"
label var	missF2no_As~e	"1= no asked for bribe var is missing in round survey	"
label var	F2_confident_~e	"1= feels confident to say no to bribes	"
label var	missF2confi~e	"1= feels confident to say no to bribes is missing in round survey	"
label var	missF2no_th~n	"1= var is missing in round survey	"
label var F2_Business_owner "Number of owners"
label var F2_benefits_reg  "Owner indetifies benefits from registration"
label var missF2no_confiscation "1= no_confiscation var is missing in round survey"
label var missF2no_sexually_harassed  "1= no_sexually_harassed  var is missing in round survey"
label var missF2no_other_harassment "1= no_other_harassment var is missing in round survey"
label var F2_s6q21_spec~1 "Specify"
label var F2_s6q21_spec~2 "Specify"
label var F2_s6q21_spec~3 "Specify"
label var F2_s6q21_spec~4 "Specify"
label var F2_s6q21_spec~5 "Specify"
label var F2_s6q21_spec~6 "Specify"

desc

*-- Save follow-up 2 data with labels
save "Paper for pub\Data\Inputs for panel\Second_followup_Malawi_clean_September_2018_F2.dta", replace

**************************************
* Follow-up 3 Labels
*-- Open follow-up 3 data
use "$third_follow_up\Working Data\Third_followup_Malawi_clean_September_2018_F3.dta"

desc
#d ;
keep id time Gender F3_de_date-F3_de_end F3_no_attrition F3_attrition F3_has_business F3_closure
F3_has_BRC F3_has_TPIN F3_has_city_council F3_Revenue_lastmonth F3_Revenue_lastweek F3_Revenue_lastmonth99 F3_Revenue_lastweek99 F3_ihst_Revenue_lastmonth	 F3_Profit_lastmonth F3_Profit_lastweek F3_Profit_lastmonth99 F3_Profit_lastweek99 F3_ihst_Profit_lastmonth F3_banksonly_bus_account F3_export_license F3_chamber F3_tender F3_changes_location F3_loan_can_raise F3_amount_recentloan F3_insurance  F3_saved_amount F3_saved_amount_bank F3_mix_bus_hh F3_financial_records  F3_contact_bank F3_taxescosts F3_receipt F3_t_courts  F3_t_police F3_t_govern F3_t_city_council F3_t_tax_aut F3_banks_any_account F3_banksonly_bus_account  F3_account_used_only_business F3_save_home F3_rosca_sacco F3_banks_saving F3_inspected_municipality F3_inspected_taxes F3_inspected_other F3_Asked_for_bribe F3_confident_no_bribe F3_threats_to_shutdown F3_confiscation F3_sexually_harassed F3_other_harassment  F3_missFhas_BRC F3_missFhas_TPIN F3_missFhas_city_council F3_missFRevenue_lastmonth F3_missFRevenue_lastweek F3_missFRevenue_lastmonth99 F3_missFRevenue_lastweek99	F3_missFProfit_lastmonth F3_missFProfit_lastweek F3_missFProfit_lastmonth99 F3_missFProfit_lastweek99 F3_missFbanksonly_bus_account F3_missFchamber F3_missFexport_license F3_missFtender F3_missFchanges_location  F3_missFloan_can_raise F3_missFamount_recentloan  F3_missFinsurance  F3_missFmix_bus_hh F3_missFfinancial_records F3_missFcontact_bank F3_missFtaxescosts F3_missFreceipt F3_missFt_courts  F3_missFt_police F3_missFt_govern F3_missFt_city_council F3_missFt_tax_aut F3_missFbanks_any_account F3_missFbanksonly_bus_account  F3_missFaccount_used_only_bus F3_missFsave_home F3_missFrosca_sacco F3_missFbanks_saving F3_missFno_inspected_municipalit F3_missFno_inspected_taxes F3_missFno_inspected_other F3_missFno_Asked_for_bribe F3_missFconfident_no_bribe F3_missFno_threats_to_shutdown  F3_missFno_confiscation F3_missFno_sexually_harassed F3_missFno_other_harassment F3_missFcapital F3_missFusd_saved_amount F3_missFno_rosca_sacco F3_missFno_save_home F3_missFusd_saved_amount_bank  F3_missFno_inspected_municipalit F3_missFno_inspected_taxes  F3_missFno_inspected_other F3_missFno_Asked_for_bribe F3_missFconfident_no_bribe F3_missFno_threats_to_shutdown F3_missFno_confiscation F3_missFno_sexually_harassed F3_missFno_other_harassment F3_capital F3_Financial_k~e F3_any_account F3_saved_amount99 F3_borrowed_in~t F3_assets F3_num_customers F3_advert  F3_other_activ~y 
F3_female F3_Manufacturing F3_Retail F3_Services  					
	/* Baseline outcomes */
	 F3_Total_workers2 F3_Business_owner 
	 F3_owner_age  
	 F3_Financial_knowledge  
	 F3_Revenue_lastmonth F3_Revenue_lastweek 
	 F3_Revenue_lastmonth99  F3_Revenue_lastweek99 F3_ihst_Revenue_lastmonth 
	 F3_Profit_lastmonth 
	 F3_Profit_lastweek F3_Profit_lastmonth99  F3_Profit_lastweek99 
	 F3_ihst_Profit_lastmonth	F3_number_days_workmonth  F3_capital F3_assets F3_propmaleworkers  
	 F3_borrowed_in_past  F3_amount_recentloan  F3_any_account F3_banks_any_account F3_banksonly_bus_account 
	 F3_account_used_only_business F3_save_home  F3_rosca_sacco F3_banks_saving F3_saved_amount  
	 F3_saved_amount99 F3_saved_amount_bank F3_mix_bus_hh F3_bank_loan    
	  F3_benefits_reg F3_inspected_municipality 
	 F3_Asked_for_bribe F3_threats_to_shutdown F3_confiscation F3_sexually_harassed F3_other_harassment 
	 F3_receipt  F3_num_customers F3_chamber F3_export_license F3_tender F3_changes_location 
	  F3_loan_can_raise F3_insurance F3_budget F3_financial_records F3_advert  
	 F3_other_activity F3_contact_bank F3_paidcitycouncilmktfee  
	 F3_taxescosts F3_t_courts  F3_t_police F3_t_govern F3_t_city_council F3_t_tax_aut

	  ;
#d cr 	 

*Anonymized
drop F3_operator F3_name_of_respondent F3_s1q1_first* F3_s1q2_surname F3_s1q5_b  F3_s1q6* F3_s1q7* F3_s1q8* F3_s1q11* F3_s1q12* F3_s1q13* F3_s1q14* F3_s1q15* F3_s1q16* F3_s1q17* F3_operator
desc

label var F3_female "1= Owner is female"
label var F3_Manufacturing	"1= Business sector is manufacturing"
label var F3_Retail	"1= Business sector is retail"
label var F3_Services	"1= Business sector is services	"

label var F3_no_attrition "1= no attrited" 
label var F3_attrition "1= business attrited"
label var F3_has_business "1= Has business"
label var F3_closure "1= The business has closed"

label var F3_has_BRC "1= Has BRC -follow-up info-" 					
label var F3_has_TPIN "1= Has TPIN -follow-up info-"
label var F3_has_city_council "1= Has city council license -follow-up info-"

label var F3_banksonly_bus_account "1= Has a business bank account -follow-up info-"
label var F3_chamber "1= Belongs to Malawian Chamber of Commerce -follow-up info-" 
label var F3_export_license "1= Has export license -follow-up info-"
label var F3_tender "1=Participates in Gov't tenders  -follow-up info-"
label var F3_changes_location "1= Location of the business has changed -follow-up info-"

label var F3_banks_any_account "1= Has a bank account -follow-up info-"
label var F3_insurance  "1= Has insurance for business -follow-up info-"
label var F3_financial_records "1= Business keeps financial records -follow-up info-"
label var F3_contact_bank "1= Bank contacted business -follow-up info-"
label var F3_receipt "1= Firm provides formal receipts -follow-up info-"
label var F3_banksonly_bus_account "1= Has bank account in name of business -follow-up info-"
label var F3_account_used_only_business "1= Uses any account just for business purposes -follow-up info-"
label var F3_banks_saving "1= Saves at bank -follow-up info-"


label var	F3_capital	"Capital (MWK): Fixed Assets -follow-up info-	"
label var	F3_Asked_for_b~e	"1= Has been asked for bribe -follow-up info-	"
label var	F3_number_days~h	"Number of days worked last month -follow-up info-	"
label var	F3_budget	"1= Has a budget -follow-up info-	"
label var	F3_mix_bus_hh	"1= Takes business money whenever for HH -follow-up info-	"
label var	F3_Financial_k~e	"Financial literacy knowledge (0-1)-follow-up info-	"
label var	F3_Revenue_l~h99	"Revenue last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F3_Profit_la~h99	"Profit last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F3_Revenue_las~k	"Revenue last week (MWK) -follow-up info-	"
label var	F3_Profit_last~k	"Profit last week (MWK) -follow-up info-	"
label var	F3_Revenue_l~k99	"Revenue last week winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F3_Profit_la~k99	"Profit last week winsorized at 99th percentile (MWK)  -follow-up info-	"
label var	F3_any_account	"1= Has an account -follow-up info-"
label var	F3_rosca_sacco	"1= saves at ROSCA-SACCO  -follow-up info-"
label var	F3_save_home	"1= saves at home-follow-up info-"
label var	F3_saved_amount	"Saved amount (MWK)-follow-up info-"
label var	F3_saved_amount99	"Saved amount winsorized at 99th percentile (MWK) -follow-up info-"
label var	F3_saved_amoun~k	"Saved amount at bank (MWK) -follow-up info-"
label var	F3_borrowed_in~t	"1=Borrowed in the past -follow-up info-"
label var	F3_assets	"Assets (MWK): Fixed Assets + Inventories + Cash -follow-up info-"
label var	F3_ihst_Profit~h	"Profit last month inverse hyperbolic sine transformation (MWK)-follow-up info-"
label var	F3_ihst_Revenu~h	"Revenue last month inverse hyperbolic sine transformation (MWK) -follow-up info-"
label var	F3_amount_rece~n	"Amount of a recent loan (MWK) -follow-up info-"
label var	F3_confiscation	"1= Has received threats to confiscation -follow-up info-"
label var	F3_num_customers	"Number of customers-follow-up info-"
label var	F3_advert	"1= Advertises -follow-up info-"
label var	F3_propmalewor~s	"Proportion of male workers -follow-up info-"
label var	F3_threats_to_~n	"1= Has received threats to shutdown -follow-up info-"
label var	F3_sexually_ha~d	"1= Has been sexually harassed  -follow-up info-"
label var	F3_other_haras~t	"1= Has received other harassment -follow-up info-"
label var	F3_other_activ~y	"Other business activity -follow-up info-"
label var	F3_taxescosts	"Taxes costs (MWK)-follow-up info-"
label var	F3_loan_can_ra~e	"Amount that business can borrow in 2 weeks (MWK) -follow-up info-"
label var	F3_t_courts	"1= Trust in courts -follow-up info-	"
label var	F3_t_police	"1= Trust in police-follow-up info-	"
label var	F3_t_govern	"1= Trust in government-follow-up info-	"
label var	F3_t_city_coun~l	"1= Trust in city council -follow-up info-	"
label var	F3_t_tax_aut	"1= Trust in tax authorities -follow-up info-	"
label var	F3_Total_worke~2	"Number of people working in business  -follow-up info-	"

label var	F3_missFcontact_~k	"1= contact bank var is missing in round survey	"
label var	F3_missFRevenue_~k	"1= Revenue last week (MWK) var is missing in round survey	"
label var	F3_missFRevenu~k99	"1= Revenue last week winsorized (MWK) var is missing in round survey	"
label var	F3_missFProfit_l~k	"1= Profit last week (MWK) var is missing in round survey	"
label var	F3_missFProfit~k99	"1= Profit last week winsorized (MWK) var is missing in round survey	"
label var	F3_missFRevenue_~h	"1= Revenue last month (MWK) var is missing in round survey	"
label var	F3_missFRevenu~h99	"1= Revenue last month winsorized (MWK) var is missing in round survey	"
label var	F3_missFProfit_l~h	"1= profit last month (MWK) var is missing in round survey	"
label var	F3_missFProfit~h99	"1= Profit last month winsorized (MWK) var is missing in round survey	"
label var	F3_missFbanksonl~t	"1= banksonly_bus_account var is missing in round survey	"
label var	F3_missFbanks_an~t	"1= banks_any_account var is missing in round survey	"
label var	F3_missFbanks_sa~g	"1= banks savings var is missing in round survey	"
label var	F3_missFrosca_sa~o	"1= rosca sacco var is missing in round survey	"
label var	F3_missFno_rosca~o	"1= no rosca sacco var is missing in round survey	"
label var	F3_missFsave_home	"1= save home var is missing in round survey	"
label var	F3_missFno_save_~e	"1= no save home var is missing in round survey	"
label var	F3_missFaccount_~s	"1= account_used_only_bus var is missing in round survey	"
label var	F3_missFusd_save~t	"1= usd_saved_amount var is missing in round survey	"
label var	F3_missFusd_save~k	"1= usd_saved_amount_bank var is missing in round survey	"
label var	F3_missFloan_can~e	"1= loan can raise var is missing in round survey	"
label var	F3_missFamount_r~n	"1= amount_recentloan var is missing in round survey	"
label var	F3_missFcapital	"1= capital var is missing in round survey	"
label var	F3_missFinsurance	"1= insurance var is missing in round survey	"
label var	F3_missFmix_bus_hh	"1= mix bus hh var is missing in round survey	"
label var	F3_missFfinancia~s	"1= financial records var is missing in round survey	"
label var	F3_missFtender	"1= tender var is missing in round survey	"
label var	F3_missFexport_l~e	"1= export license var is missing in round survey	"
label var	F3_missFchamber	"1= chamber var is missing in round survey	"
label var	F3_missFhas_BRC	"1= has BRC var is missing in round survey	"
label var	F3_missFhas_TPIN	"1= has TPIN var is missing in round survey	"
label var	F3_missFhas_city~l	"1= has city council license var is missing in round survey	"
label var	F3_missFreceipt	"1= receipt var is missing in round survey	"
label var	F3_missFchanges_~n	"1= changes location var is missing in round survey	"
label var	F3_missFtaxescosts	"1= taxes costs var is missing in round survey	"
label var	F3_missFt_courts	"1= trust in courts var is missing in round survey	"
label var	F3_missFt_police	"1= trust in police var is missing in round survey	"
label var	F3_missFt_govern	"1= trust in govern var is missing in round survey	"
label var	F3_missFt_city_c~l	"1= trust in city council var is missing in round survey	"
label var	F3_missFt_tax_aut	"1= trust in tax authorities var is missing in round survey	"

label var	time	"round survey (0= BS, 1= F1, 2=F2, 3=F3, 4=F4)	"
label var	F3_Revenue_la~h	"Revenue last month (MWK)	"
label var	F3_Profit_las~h	"Profit last month (MWK)	"
label var	F3_bank_loan	"Bank loan	"
label var	F3_missFno_in~t	"1= no_inspected_municipalit var is missing in round survey	"
label var	F3_missFno_in~s	"1= no_inspected_taxes var is missing in round survey	"
label var	F3_missFno_in~r	"1= no_inspected_other var is missing in round survey	"
label var	F3_missFno_As~e	"1= no asked for bribe var is missing in round survey	"
label var	F3_confident_~e	"1= feels confident to say no to bribes	"
label var	F3_missFconfi~e	"1= feels confident to say no to bribes is missing in round survey	"
label var	F3_missFno_th~n	"1= no threats to shutdown var is missing in round survey	"
label var F3_owner_age "Owner age"
label var F3_Business_owner "Number of owners"
label var F3_benefits_reg  "Owner indetifies benefits from registration"
label var F3_s6q21_spec~1 "Specify"
label var F3_s6q21_spec~2 "Specify"
label var F3_s6q21_spec~3 "Specify"
label var F3_s6q21_spec~4 "Specify"
label var F3_s6q21_spec~5 "Specify"
label var F3_s6q21_spec~6 "Specify"
label var F3_paidcitycouncilmktfee "1= Business pay city council market fee"
label var F3_missFno_confiscation "1= no_confiscation var is missing in round survey"
label var F3_missFno_sexually_harassed  "1= no_sexually_harassed  var is missing in round survey"
label var F3_missFno_other_harassment "1= no_other_harassment var is missing in round survey"

desc


*-- Save follow-up 3 data with labels
save "Paper for pub\Data\Inputs for panel\Third_followup_Malawi_clean_September_2018_F3.dta", replace

**************************************
* Follow-up 4 Labels
*-- Open follow-up 4 data
use "$fourth_follow_up\Working Data\Fourth_followup_Malawi_clean_September_2018_F4.dta"

desc

#d ;
keep id time Gender F4_de_date-F4_de_end F4_no_attrition F4_attrition F4_has_business F4_closure
F4_has_BRC F4_has_TPIN F4_has_city_council F4_Revenue_lastmonth F4_Revenue_lastweek F4_Revenue_lastmonth99 F4_Revenue_lastweek99 F4_ihst_Revenue_lastmonth	 F4_Profit_lastmonth F4_Profit_lastweek F4_Profit_lastmonth99 F4_Profit_lastweek99 F4_ihst_Profit_lastmonth F4_banksonly_bus_account F4_export_license F4_chamber F4_tender F4_changes_location F4_loan_can_raise F4_amount_recentloan F4_insurance  F4_saved_amount F4_saved_amount_bank F4_mix_bus_hh F4_financial_records  F4_contact_bank F4_taxescosts F4_receipt F4_t_courts  F4_t_police F4_t_govern F4_t_city_council F4_t_tax_aut F4_banks_any_account F4_banksonly_bus_account  F4_account_used_only_business F4_save_home F4_rosca_sacco F4_banks_saving F4_inspected_municipality F4_inspected_taxes F4_inspected_other F4_Asked_for_bribe F4_confident_no_bribe F4_threats_to_shutdown F4_confiscation F4_sexually_harassed F4_other_harassment  F4_missFhas_BRC F4_missFhas_TPIN F4_missFhas_city_council F4_missFRevenue_lastmonth F4_missFRevenue_lastweek F4_missFRevenue_lastmonth99 F4_missFRevenue_lastweek99	F4_missFProfit_lastmonth F4_missFProfit_lastweek F4_missFProfit_lastmonth99 F4_missFProfit_lastweek99 F4_missFbanksonly_bus_account F4_missFchamber F4_missFexport_license F4_missFtender F4_missFchanges_location  F4_missFloan_can_raise F4_missFamount_recentloan  F4_missFinsurance  F4_missFmix_bus_hh F4_missFfinancial_records F4_missFcontact_bank F4_missFtaxescosts F4_missFreceipt F4_missFt_courts  F4_missFt_police F4_missFt_govern F4_missFt_city_council F4_missFt_tax_aut F4_missFbanks_any_account F4_missFbanksonly_bus_account  F4_missFaccount_used_only_bus F4_missFsave_home F4_missFrosca_sacco F4_missFbanks_saving F4_missFno_inspected_municipalit F4_missFno_inspected_taxes F4_missFno_inspected_other F4_missFno_Asked_for_bribe F4_missFconfident_no_bribe F4_missFno_threats_to_shutdown  F4_missFno_confiscation F4_missFno_sexually_harassed F4_missFno_other_harassment F4_missFcapital F4_missFusd_saved_amount F4_missFno_rosca_sacco F4_missFno_save_home F4_missFusd_saved_amount_bank  F4_missFno_inspected_municipalit F4_missFno_inspected_taxes  F4_missFno_inspected_other F4_missFno_Asked_for_bribe F4_missFconfident_no_bribe F4_missFno_threats_to_shutdown F4_missFno_confiscation F4_missFno_sexually_harassed F4_missFno_other_harassment F4_capital F4_Financial_k~e F4_any_account F4_saved_amount99 F4_borrowed_in~t F4_assets F4_num_customers F4_advert  F4_other_activ~y 
F4_female F4_Manufacturing F4_Retail F4_Services  					
	/* Baseline outcomes */
	 F4_Total_workers2
	 F4_owner_age  
	 F4_Financial_knowledge  
	 F4_Revenue_lastmonth F4_Revenue_lastweek 
	 F4_Revenue_lastmonth99  F4_Revenue_lastweek99 F4_ihst_Revenue_lastmonth 
	 F4_Profit_lastmonth 
	 F4_Profit_lastweek F4_Profit_lastmonth99  F4_Profit_lastweek99 
	 F4_ihst_Profit_lastmonth	F4_number_days_workmonth  F4_capital F4_assets F4_propmaleworkers  
	 F4_borrowed_in_past  F4_amount_recentloan  F4_any_account F4_banks_any_account F4_banksonly_bus_account 
	 F4_account_used_only_business F4_save_home  F4_rosca_sacco F4_banks_saving F4_saved_amount  
	 F4_saved_amount99 F4_saved_amount_bank F4_mix_bus_hh F4_bank_loan    
	  F4_benefits_reg F4_inspected_municipality 
	 F4_Asked_for_bribe F4_threats_to_shutdown F4_confiscation F4_sexually_harassed F4_other_harassment 
	 F4_receipt  F4_num_customers F4_chamber F4_export_license F4_tender F4_changes_location 
	  F4_loan_can_raise F4_insurance F4_budget F4_financial_records F4_advert  
	 F4_other_activity F4_contact_bank
	 F4_taxescosts F4_t_courts  F4_t_police F4_t_govern F4_t_city_council F4_t_tax_aut

	  ;
#d cr 	 

*Anonymized
drop F4_operator F4_name_of_respondent F4_s1q1_first* F4_s1q2_surname F4_s1q5_b  F4_s1q6* F4_s1q7* F4_s1q8* F4_s1q11* F4_s1q12* F4_s1q13* F4_s1q14* F4_s1q15* F4_s1q16* F4_s1q17*
desc

label var F4_female "1= Owner is female"
label var F4_Manufacturing	"1= Business sector is manufacturing"
label var F4_Retail	"1= Business sector is retail"
label var F4_Services	"1= Business sector is services	"

label var F4_no_attrition "1= no attrited" 
label var F4_attrition "1= business attrited"
label var F4_has_business "1= Has business"
label var F4_closure "1= The business has closed"

label var F4_has_BRC "1= Has BRC -follow-up info-" 					
label var F4_has_TPIN "1= Has TPIN -follow-up info-"
label var F4_has_city_council "1= Has city council license -follow-up info-"

label var F4_banksonly_bus_account "1= Has a business bank account -follow-up info-"
label var F4_chamber "1= Belongs to Malawian Chamber of Commerce -follow-up info-" 
label var F4_export_license "1= Has export license -follow-up info-"
label var F4_tender "1=Participates in Gov't tenders  -follow-up info-"
label var F4_changes_location "1= Location of the business has changed -follow-up info-"

label var F4_banks_any_account "1= Has a bank account -follow-up info-"
label var F4_insurance  "1= Has insurance for business -follow-up info-"
label var F4_financial_records "1= Business keeps financial records -follow-up info-"
label var F4_contact_bank "1= Bank contacted business -follow-up info-"
label var F4_receipt "1= Firm provides formal receipts -follow-up info-"
label var F4_banksonly_bus_account "1= Has bank account in name of business -follow-up info-"
label var F4_account_used_only_business "1= Uses any account just for business purposes -follow-up info-"
label var F4_banks_saving "1= Saves at bank -follow-up info-"


label var	F4_capital	"Capital (MWK): Fixed Assets -follow-up info-	"
label var	F4_Asked_for_b~e	"1= Has been asked for bribe -follow-up info-	"
label var	F4_number_days~h	"Number of days worked last month -follow-up info-	"
label var	F4_budget	"1= Has a budget -follow-up info-	"
label var	F4_mix_bus_hh	"1= Takes business money whenever for HH -follow-up info-	"
label var	F4_Financial_k~e	"Financial literacy knowledge (0-1)-follow-up info-	"
label var	F4_Revenue_l~h99	"Revenue last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F4_Profit_la~h99	"Profit last month winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F4_Revenue_las~k	"Revenue last week (MWK) -follow-up info-	"
label var	F4_Profit_last~k	"Profit last week (MWK) -follow-up info-	"
label var	F4_Revenue_l~k99	"Revenue last week winsorized at 99th percentile (MWK) -follow-up info-	"
label var	F4_Profit_la~k99	"Profit last week winsorized at 99th percentile (MWK)  -follow-up info-	"
label var	F4_any_account	"1= Has an account -follow-up info-"
label var	F4_rosca_sacco	"1= saves at ROSCA-SACCO  -follow-up info-"
label var	F4_save_home	"1= saves at home-follow-up info-"
label var	F4_saved_amount	"Saved amount (MWK)-follow-up info-"
label var	F4_saved_amount99	"Saved amount winsorized at 99th percentile (MWK) -follow-up info-"
label var	F4_saved_amoun~k	"Saved amount at bank (MWK) -follow-up info-"
label var	F4_borrowed_in~t	"1=Borrowed in the past -follow-up info-"
label var	F4_assets	"Assets (MWK): Fixed Assets + Inventories + Cash -follow-up info-"
label var	F4_ihst_Profit~h	"Profit last month inverse hyperbolic sine transformation (MWK)-follow-up info-"
label var	F4_ihst_Revenu~h	"Revenue last month inverse hyperbolic sine transformation (MWK) -follow-up info-"
label var	F4_amount_rece~n	"Amount of a recent loan (MWK) -follow-up info-"
label var	F4_confiscation	"1= Has received threats to confiscation -follow-up info-"
label var	F4_num_customers	"Number of customers-follow-up info-"
label var	F4_advert	"1= Advertises -follow-up info-"
label var	F4_propmalewor~s	"Proportion of male workers -follow-up info-"
label var	F4_threats_to_~n	"1= Has received threats to shutdown -follow-up info-"
label var	F4_sexually_ha~d	"1= Has been sexually harassed  -follow-up info-"
label var	F4_other_haras~t	"1= Has received other harassment -follow-up info-"
label var	F4_other_activ~y	"Other business activity -follow-up info-"
label var	F4_taxescosts	"Taxes costs (MWK)-follow-up info-"
label var	F4_loan_can_ra~e	"Amount that business can borrow in 2 weeks (MWK) -follow-up info-"
label var	F4_t_courts	"1= Trust in courts -follow-up info-	"
label var	F4_t_police	"1= Trust in police-follow-up info-	"
label var	F4_t_govern	"1= Trust in government-follow-up info-	"
label var	F4_t_city_coun~l	"1= Trust in city council -follow-up info-	"
label var	F4_t_tax_aut	"1= Trust in tax authorities -follow-up info-	"
label var	F4_Total_worke~2	"Number of people working in business  -follow-up info-	"

label var	F4_missFcontact_~k	"1= contact bank var is missing in round survey	"
label var	F4_missFRevenue_~k	"1= Revenue last week (MWK) var is missing in round survey	"
label var	F4_missFRevenu~k99	"1= Revenue last week winsorized (MWK)  var is missing in round survey	"
label var	F4_missFProfit_l~k	"1= Profit last week (MWK)  var is missing in round survey	"
label var	F4_missFProfit~k99	"1= Profit last week winsorized (MWK) var is missing in round survey	"
label var	F4_missFRevenue_~h	"1= Revenue last month (MWK) var is missing in round survey	"
label var	F4_missFRevenu~h99	"1= Revenue last month winsorized (MWK) var is missing in round survey	"
label var	F4_missFProfit_l~h	"1= Profit last month (MWK) var is missing in round survey	"
label var	F4_missFProfit~h99	"1= Profit last month winsorized (MWK) var is missing in round survey	"
label var	F4_missFbanksonl~t	"1= banksonly_bus_account var is missing in round survey	"
label var	F4_missFbanks_an~t	"1= banks_any_account var is missing in round survey	"
label var	F4_missFbanks_sa~g	"1= banks savings var is missing in round survey	"
label var	F4_missFrosca_sa~o	"1= rosca sacco var is missing in round survey	"
label var	F4_missFno_rosca~o	"1= no rosca sacco var is missing in round survey	"
label var	F4_missFsave_home	"1= save home var is missing in round survey	"
label var	F4_missFno_save_~e	"1= no save home var is missing in round survey	"
label var	F4_missFaccount_~s	"1= account_used_only_bus var is missing in round survey	"
label var	F4_missFusd_save~t	"1= usd_saved_amount var is missing in round survey	"
label var	F4_missFusd_save~k	"1= usd_saved_amount_bank  var is missing in round survey	"
label var	F4_missFloan_can~e	"1= loan can raise var is missing in round survey	"
label var	F4_missFamount_r~n	"1= amount_recentloan var is missing in round survey	"
label var	F4_missFcapital	"1= capital var is missing in round survey	"
label var	F4_missFinsurance	"1= insurance var is missing in round survey	"
label var	F4_missFmix_bus_hh	"1= mix bus hh var is missing in round survey	"
label var	F4_missFfinancia~s	"1= financial records var is missing in round survey	"
label var	F4_missFtender	"1= tender var is missing in round survey	"
label var	F4_missFexport_l~e	"1= export license var is missing in round survey	"
label var	F4_missFchamber	"1= chamber var is missing in round survey	"
label var	F4_missFhas_BRC	"1= has BRC var is missing in round survey	"
label var	F4_missFhas_TPIN	"1= has TPIN var is missing in round survey	"
label var	F4_missFhas_city~l	"1= has city council license var is missing in round survey	"
label var	F4_missFreceipt	"1= receipt var is missing in round survey	"
label var	F4_missFchanges_~n	"1= changes location var is missing in round survey	"
label var	F4_missFtaxescosts	"1= taxes costs var is missing in round survey	"
label var	F4_missFt_courts	"1= trust in courts var is missing in round survey	"
label var	F4_missFt_police	"1= trust in police var is missing in round survey	"
label var	F4_missFt_govern	"1= trust in govern var is missing in round survey	"
label var	F4_missFt_city_c~l	"1= trust in city council var is missing in round survey	"
label var	F4_missFt_tax_aut	"1= trust in tax authorities var is missing in round survey	"

label var	time	"round survey (0= BS, 1= F1, 2=F2, 3=F4, 4=F4)	"
label var	F4_Revenue_la~h	"Revenue last month (MWK)	"
label var	F4_Profit_las~h	"Profit last month (MWK)	"
label var	F4_bank_loan	"Bank loan	"
label var	F4_missFno_in~t	"1= no_inspected_municipalit var is missing in round survey	"
label var	F4_missFno_in~s	"1= no_inspected_taxes var is missing in round survey	"
label var	F4_missFno_in~r	"1= no_inspected_other var is missing in round survey	"
label var	F4_missFno_As~e	"1= asked for bribe var is missing in round survey	"
label var	F4_confident_~e	"1=  feels confident to say no to bribes	"
label var	F4_missFconfi~e	"1= feels confident to say no to bribes is missing in round survey	"
label var	F4_missFno_th~n	"1=no_threats_to_shutdown  var is missing in round survey	"
label var F4_owner_age "Owner age"
label var F4_benefits_reg  "Owner indetifies benefits from registration"
label var F4_missFno_confiscation "1= no_confiscation var is missing in round survey"
label var F4_missFno_sexually_harassed  "1= no_sexually_harassed  var is missing in round survey"
label var F4_missFno_other_harassment "1= no_other_harassment var is missing in round survey"

desc

	
*-- Save follow-up 4 data with labels
save "Paper for pub\Data\Inputs for panel\Fourth_followup_Malawi_clean_September_2018_F4.dta", replace
